- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# fileDescriptorStruct Struct Reference

`#include <file.h>`

Collaboration diagram for fileDescriptorStruct:

[legend]

## Data Fields
char * | buffer
cacheNode * | cacheNode
dmadat * | dmadat
int | dsk_meta
char | fileName [512]
uInt32 | ino
uInt16 | length
uInt16 | mode
vfs_mountPoint * | mp
fileDescriptorStruct * | next
uInt32 | offset
uInt32 | perms
fileDescriptorStruct * | prev
uInt32 | resid
uInt32 | size
uInt32 | start
uInt16 | status

## Detailed Description

Definition at line 46 of file file.h.

## Field Documentation

char* fileDescriptorStruct::buffer

Definition at line 57 of file file.h.

Referenced by devfs_read(), devfs_write(), fclose(), fopen(), and writeUbixFS().

struct cacheNode* fileDescriptorStruct::cacheNode

Definition at line 59 of file file.h.

Referenced by openFileUbixFS(), and readUbixFS().

struct dmadat* fileDescriptorStruct::dmadat

Definition at line 61 of file file.h.

Referenced by ffs_read(), fsread(), and ufs_openFile().

int fileDescriptorStruct::dsk_meta

Definition at line 62 of file file.h.

Referenced by fsread().

char fileDescriptorStruct::fileName[512]

Definition at line 56 of file file.h.

Referenced by fopen(), and writeUbixFS().

uInt32 fileDescriptorStruct::ino

Definition at line 58 of file file.h.

Referenced by ufs_openFile(), and ufs_readFile().

uInt16 fileDescriptorStruct::length

Definition at line 54 of file file.h.

uInt16 fileDescriptorStruct::mode

Definition at line 51 of file file.h.

Referenced by devfs_open(), fopen(), and openFileUbixFS().

struct vfs_mountPoint* fileDescriptorStruct::mp

Definition at line 49 of file file.h.

Referenced by devfs_open(), dskread(), fgetc(), fopen(), fputc(), fread(), freeBlocks(), fwrite(), getFreeBlocks(), openFileUbixFS(), readUbixFS(), sysMkDir(), ubixfs_loadData(), ubixFSmkDir(), writeFileByte(), and writeUbixFS().

struct fileDescriptorStruct* fileDescriptorStruct::next

Definition at line 48 of file file.h.

Referenced by fclose(), and fopen().

uInt32 fileDescriptorStruct::offset

Definition at line 52 of file file.h.

Referenced by addDirEntry(), fgetc(), fopen(), fputc(), fread(), fseek(), fsfind(), fsread(), fwrite(), sysFseek(), and ufs_openFile().

uInt32 fileDescriptorStruct::perms

Definition at line 60 of file file.h.

Referenced by execFile(), openFileUbixFS(), sysExec(), and ufs_openFile().

struct fileDescriptorStruct* fileDescriptorStruct::prev

Definition at line 47 of file file.h.

Referenced by fclose(), and fopen().

uInt32 fileDescriptorStruct::resid

Definition at line 63 of file file.h.

uInt32 fileDescriptorStruct::size

Definition at line 53 of file file.h.

Referenced by addDirEntry(), devfs_open(), fsread(), openFileUbixFS(), readUbixFS(), sysFopen(), and writeUbixFS().

uInt32 fileDescriptorStruct::start

Definition at line 55 of file file.h.

Referenced by devfs_open(), devfs_read(), devfs_write(), openFileUbixFS(), writeFileByte(), and writeUbixFS().

uInt16 fileDescriptorStruct::status

Definition at line 50 of file file.h.

Referenced by feof(), fopen(), readUbixFS(), and writeFileByte().

The documentation for this struct was generated from the following file:

- src/sys/include/vfs/file.h